umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DiagramSelectionDialog Class Reference

`#include <diagramselectiondialog.h>`

Inheritance diagram for DiagramSelectionDialog:

## Public Member Functions
| DiagramSelectionDialog (DiagramPrintPage *page, QWidget *parent=0)
| ~DiagramSelectionDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Constructor & Destructor Documentation

## ◆ DiagramSelectionDialog()

DiagramSelectionDialog::DiagramSelectionDialog | ( | DiagramPrintPage * | page,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~DiagramSelectionDialog()

DiagramSelectionDialog::~DiagramSelectionDialog | ( |  | ) |

The documentation for this class was generated from the following files:

- umbrello/dialogs/diagramselectiondialog.h
- umbrello/dialogs/diagramselectiondialog.cpp